# wxDebugReportCompress Class Reference
[Debugging]

`#include <wx/debugrpt.h>`

Inheritance diagram for wxDebugReportCompress:
[legend]

## Detailed Description

wxDebugReportCompress is a wxDebugReport which compresses all the files in this debug report into a single ZIP file in its wxDebugReport::Process() function.

##

Library: wxQA

Category: Debugging

## Public Member Functions
| wxDebugReportCompress ()
| Default constructor does nothing special.
void | SetCompressedFileDirectory (const wxString &dir)
| Set the directory where the debug report should be generated.
void | SetCompressedFileBaseName (const wxString &name)
| Set the base name of the generated debug report file.
const wxString & | GetCompressedFileName () const
| Returns the full path of the compressed file (empty if creation failed).

List of all members.

## Constructor & Destructor Documentation

wxDebugReportCompress::wxDebugReportCompress | ( |  | ) |

Default constructor does nothing special.

## Member Function Documentation

const wxString& wxDebugReportCompress::GetCompressedFileName | ( |  | ) | const

Returns the full path of the compressed file (empty if creation failed).

void wxDebugReportCompress::SetCompressedFileBaseName | ( | const wxString & | name | ) |

Set the base name of the generated debug report file.

This function is similar to SetCompressedFileDirectory() but allows to change the base name of the file. Notice that the file extension will always be ``.zip.

By default, a unique name constructed from wxApp::GetAppName(), the current process id and the current date and time is used.

Parameters:

  | name | The base name (i.e. without extension) of the file.

Since:
  2.9.1

void wxDebugReportCompress::SetCompressedFileDirectory | ( | const wxString & | dir | ) |

Set the directory where the debug report should be generated.

By default, the debug report is generated under user temporary files directory. This is usually fine if it is meant to be processed in some way (e.g. automatically uploaded to a remote server) but if the user is asked to manually upload or send the report, it may be more convenient to generate it in e.g. the users home directory and this function allows to do this.

Notice that it should be called before wxDebugReport::Process() or it has no effect.

Parameters:

  | dir | The full path to an existing directory where the debug report file should be generated.

Since:
  2.9.1

|  | [ top ]